View Issue Details

IDProjectCategoryLast Update
0012858Bionic Dues[All Projects] Gameplay IssueOct 7, 2013 12:50 am
ReporterWingeAssigned Tokeith.lamothe 
Severitytweak 
Status resolvedResolutionfixed 
Product Version0.935 Release Candidate 4 
Fixed in Version0.936 Release Candidate 5 
Summary0012858: Sentries have too little ammo
DescriptionI 100% agree that their ammo count needed to be dropped. However, 10 is very restrictive, especially in the later game. I think that it can be increased some, and I have two possible ideas:

1. Increase the ammo to 20 or so. That should be reasonable without sentries being completely overpowered. Base damage could be dropped somewhat to compensate.
2. Have trap skill level boost the ammo count as well. Linear progression makes the most sense, with every 1-3 points adding an additional turret shot. My initial thought would be two. That would make it so that every bot can equip turrets, but only one that specializes in trap skill will be especially effective with them.

Discussion is, of course, encouraged.
TagsNo tags attached.
Internal WeightNew

Activities

keith.lamothe

Oct 7, 2013 12:50 am

administrator   ~0034552

For 0.936:

* Sentry Turrets now gain +5% to their ammo capacity per point of the deploying exo's trap skill. Effectively this means that every 2 points of Trap Skill gives each of your turrets an extra shot.

Thanks! :)

Issue History

Date Modified Username Field Change
Oct 6, 2013 5:20 pm Winge New Issue
Oct 7, 2013 12:50 am keith.lamothe Internal Weight => New
Oct 7, 2013 12:50 am keith.lamothe Note Added: 0034552
Oct 7, 2013 12:50 am keith.lamothe Status new => resolved
Oct 7, 2013 12:50 am keith.lamothe Fixed in Version => 0.936 Release Candidate 5
Oct 7, 2013 12:50 am keith.lamothe Resolution open => fixed
Oct 7, 2013 12:50 am keith.lamothe Assigned To => keith.lamothe
Apr 14, 2014 9:28 am x4000Bughunter Category Gameplay - General Complaint => Gameplay Issue